#ifndef _UART_H
#define _UART_H

#ifndef F_CPU
	#warning Missing F_CPU
#endif

#define BAUD 9600UL      // Baudrate
 
// Berechnungen
#define UBRR_VAL ((F_CPU+BAUD*8)/(BAUD*16)-1)   // clever runden
#define BAUD_REAL (F_CPU/(16*(UBRR_VAL+1)))     // Reale Baudrate
#define BAUD_ERROR ((BAUD_REAL*1000)/BAUD) // Fehler in Promille, 1000 = kein Fehler.
 
#if ((BAUD_ERROR<990) || (BAUD_ERROR>1010))
  #error Systematischer Fehler der Baudrate grsser 1% und damit zu hoch! 
#endif

#define USR UCSRA
#define UCR UCSRB
#define UBRR UBRRL
#define EICR EICRB
#define USART_RX USART_RXC_vect  

extern void UART_Init();
extern void UART_PutC(unsigned char);
extern void UART_PutS(char *);
extern void UART_PutDHex(uint16_t);
extern void UART_PutHex(uint8_t);
extern void UART_PutNum(uint16_t);

#endif
